<template>
  <div v-show="visible" class="info-panel">
    <i class="icon-close" @click="close"></i>
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: "index",
  props: {
    visible: Boolean,
  },
  data() {
    return {
      showContent: false,
    };
  },
  methods: {
    close() {
      this.$emit("update:visible", false);
      this.$emit("close");
    },
  },
};
</script>

<style scoped lang="less">
.info-panel {
  position: absolute;
  bottom: 42px;
  left: 0;
  width: 100%;
  padding-top: 5px;
  //height: 85px;
  background: #ffffff;
  box-shadow: 0px 2px 12px 0px rgba(0, 0, 0, 0.15);
  border-radius: 6px 6px 0px 0px;
  z-index: 3;
  .icon-close {
    position: absolute;
    top: 8px;
    right: 8px;
    width: 16px;
    height: 16px;
    background: url("~@/assets/images/common/关闭.png") no-repeat;
    background-size: 100% 100%;
    cursor: pointer;
  }
}
</style>
